# ChangeLog for app-emulation/vice
# Copyright 1999-2022 Gentoo Authors; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-emulation/vice/ChangeLog,v 1.79 2011/11/10 03:42:00 ssuominen Exp $

  05 Apr 2022; Mario Fetka <mario.fetka@gmail.com> -vice-3.5.ebuild,
  metadata.xml:
  app-emulation/vice: update metadata

  10 Nov 2011; Samuli Suominen <ssuominen@gentoo.org> -vice-2.2.ebuild,
  -files/vice-2.2-xshm.patch:
  old

  24 Oct 2011; Michael Sterrett <mr_bones_@gentoo.org> vice-2.3.ebuild,
  +files/vice-2.3-notexi.patch:
  Avoid building pre-built docs (bug #379633) with patch from Jared B.

  08 Oct 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> vice-2.3.ebuild:
  x86 stable wrt bug #385895

  02 Aug 2011; Matt Turner <mattst88@gentoo.org> vice-2.2.ebuild,
  vice-2.3.ebuild:
  Renamed x11-libs/Xaw3d to x11-libs/libXaw3d.

*vice-2.3 (29 Jul 2011)

  29 Jul 2011; Michael Sterrett <mr_bones_@gentoo.org> +vice-2.3.ebuild:
  version bump (bug #368157)

  31 Mar 2011; Tomáš Chvátal <scarabeus@gentoo.org> vice-2.2.ebuild:
  Depend on virtual/ffmpeg instead of media-video/ffmpeg.

  25 Feb 2011; Kevin McCarthy <signals@gentoo.org> vice-2.2.ebuild:
  Depend on virtual/jpeg instead of media-libs/jpeg

  11 Apr 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org> vice-2.2.ebuild:
  x86 stable wrt bug #302506

  08 Apr 2010; Michael Sterrett <mr_bones_@gentoo.org> vice-2.2.ebuild:
  patch location for files - sed patch from Marcin Deranek via bug #313741

  24 Mar 2010; Samuli Suominen <ssuominen@gentoo.org>
  files/vice-2.2-xshm.patch:
  Use upstream patch instead.

  23 Mar 2010; Samuli Suominen <ssuominen@gentoo.org> vice-2.2.ebuild,
  +files/vice-2.2-xshm.patch:
  Fix bug 292508 in a different way since upstream mentioned wanting
  configure.in check.

*vice-2.2 (23 Mar 2010)

  23 Mar 2010; Michael Sterrett <mr_bones_@gentoo.org> +vice-2.2.ebuild,
  metadata.xml:
  version bump (bug #299870) with additions from groepaz@gmx.net via bug
  #258674

  08 Mar 2010; Samuli Suominen <ssuominen@gentoo.org> vice-2.1.ebuild:
  Don't check for obsolete png_check_sig function (because vice will
  silently start using it's bundled copy). Required for libpng14.

  22 Jan 2010; Samuli Suominen <ssuominen@gentoo.org> vice-2.1.ebuild:
  Require SLOT="0" of media-libs/jpeg for headers.

  12 Nov 2009; Alfredo Tupone <tupone@gentoo.org> vice-2.1.ebuild,
  +files/vice-2.1-xshm.patch:
  Fix X_ShmAttach not declared. Bug #292508 by Cedric Godin

  02 Nov 2009; Samuli Suominen <ssuominen@gentoo.org> vice-1.22.ebuild,
  vice-2.1.ebuild:
  Remove obsolete aRts support.

  24 Aug 2009; Michael Sterrett <mr_bones_@gentoo.org> vice-2.1.ebuild:
  don't try to actually run fc-cache (bug #280976)

  11 May 2009; Samuli Suominen <ssuominen@gentoo.org> vice-2.1.ebuild,
  +files/vice-2.1-gcc44.patch:
  Fix compile with GCC 4.4 wrt #269311, thanks to Martin Väth.

*vice-2.1 (25 Jan 2009)

  25 Jan 2009; Michael Sterrett <mr_bones_@gentoo.org> +vice-2.1.ebuild:
  version bump

*vice-2.0 (11 Aug 2008)

  11 Aug 2008; Michael Sterrett <mr_bones_@gentoo.org>
  +files/vice-2.0-gnome-palemu.patch,
  +files/vice-2.0-gtk-bigendian-fix.patch, +vice-2.0.ebuild:
  version bump - bug #234043 with patches and ebuild submitted by Karl Aloritias

  28 Jul 2008; Doug Goldstein <cardoe@gentoo.org> metadata.xml:
  add GLEP 56 USE flag desc from use.local.desc

  07 Nov 2007; Michael Sterrett <mr_bones_@gentoo.org> vice-1.22.ebuild:
  remove ffmpeg support for now (bug #187699)

  30 Oct 2007; Michael Sterrett <mr_bones_@gentoo.org>
  -files/vice-1.21-fullscreen.patch, -files/vice-1.21-uicolor.patch,
  -vice-1.20.ebuild, -vice-1.21-r1.ebuild:
  clean out old, broken releases

  30 Oct 2007; nixnut <nixnut@gentoo.org> vice-1.22.ebuild:
  Stable on ppc wrt bug 196608

  29 Oct 2007; Ferris McCormick <fmccor@gentoo.org> vice-1.22.ebuild:
  Sparc stable --- Bug #196608 --- developer request.

  24 Oct 2007; Markus Meier <maekke@gentoo.org> vice-1.22.ebuild:
  x86 stable, bug #196608

  21 Oct 2007; Michael Sterrett <mr_bones_@gentoo.org> vice-1.22.ebuild:
  dep on x11-libs/libXrandr as well (bug #196564)

*vice-1.22 (15 Oct 2007)

  15 Oct 2007; Michael Sterrett <mr_bones_@gentoo.org> +vice-1.22.ebuild:
  version bump (bug #195970)

*vice-1.21-r1 (16 Jun 2007)

  16 Jun 2007; Tristan Heaven <nyhm@gentoo.org>
  +files/vice-1.21-fullscreen.patch, +vice-1.21-r1.ebuild:
  Patch from David Leverton for bug #179315

  21 May 2007; Tristan Heaven <nyhm@gentoo.org> vice-1.21.ebuild:
  Add resid USE flag, bug #177102

  03 May 2007; Mike Frysinger <vapier@gentoo.org> vice-1.21.ebuild:
  Tweak @SYNC@ fix some more #176522.

  03 May 2007; Jeroen Roovers <jer@gentoo.org> +vice-1.20.ebuild,
  vice-1.21.ebuild:
  Bring back 1.20 for sparc, rekeyword 1.21 as ~sparc (bug #176256).

  26 Apr 2007; Tristan Heaven <nyhm@gentoo.org> vice-1.21.ebuild:
  Fix build failure when SYNC is set, bug #176155

*vice-1.21 (26 Apr 2007)

  26 Apr 2007; Tristan Heaven <nyhm@gentoo.org>
  +files/vice-1.21-uicolor.patch, +vice-1.21.ebuild:
  Version bump

  24 Apr 2007; Gustavo Zacarias <gustavoz@gentoo.org> vice-1.20.ebuild:
  Stable on sparc

  13 Mar 2007; Raúl Porcel <armin76@gentoo.org> vice-1.20.ebuild:
  x86 stable

  21 Feb 2007; Piotr Jaroszyński <peper@gentoo.org> ChangeLog:
  Transition to Manifest2.

  18 Nov 2006; Saleem Abdulrasool <compnerd@gentoo.org> vice-1.20.ebuild:
  add back gnome useflag errornously dropped on 1.20

  17 Nov 2006; Saleem Abdulrasool <compnerd@gentoo.org>
  vice-1.17.ebuild, vice-1.19.ebuild, vice-1.20.ebuild:
  Dropping gnome useflag for gnome-1.x removal

  26 Oct 2006; Tristan Heaven <nyhm@gentoo.org> vice-1.20.ebuild:
  Add x11-apps/bdftopcf and x11-apps/mkfontdir to DEPEND, bug #152715

*vice-1.20 (12 Oct 2006)

  12 Oct 2006; Tristan Heaven <nyhm@gentoo.org> +vice-1.20.ebuild:
  Version bump, bug #150767

  16 Sep 2006; Tobias Scherbaum <dertobi123@gentoo.org> vice-1.19.ebuild:
  ppc stable

  30 Aug 2006; Gustavo Zacarias <gustavoz@gentoo.org> vice-1.19.ebuild:
  Stable on sparc

  25 Mar 2006; <Tupone@gentoo.org> +files/vice-1.19-64bitfix.patch,
  vice-1.19.ebuild:
  Fixing bug #116678 ffmpeg on amd64. Thanks to Andreas Arens

  17 Mar 2006; Gustavo Zacarias <gustavoz@gentoo.org> vice-1.19.ebuild:
  Keyworded ~sparc wrt #126147

  25 Jan 2006; Chris Gianelloni <wolf31o2@gentoo.org> vice-1.17.ebuild,
  vice-1.19.ebuild:
  General *DEPEND cleanup.

  25 Jan 2006; Chris Gianelloni <wolf31o2@gentoo.org> vice-1.17.ebuild,
  vice-1.19.ebuild:
  Added modular X dependencies and closing bug #120225.

*vice-1.19 (17 Jan 2006)

  17 Jan 2006; Hanno Boeck <hanno@gentoo.org> +vice-1.19.ebuild:
  Version bump.

*vice-1.18 (25 Dec 2005)

  25 Dec 2005; Michael Sterrett <mr_bones_@gentoo.org> +vice-1.18.ebuild:
  version bump (bug #116657)

  13 Nov 2005; Michael Hanselmann <hansmi@gentoo.org> vice-1.17.ebuild:
  Stable on ppc.

  12 Nov 2005; Michael Sterrett <mr_bones_@gentoo.org> vice-1.17.ebuild:
  stable for x86

  20 Oct 2005; Michael Sterrett <mr_bones_@gentoo.org>
  -files/vice_gcc4_patch.gz, -vice-1.16.ebuild:
  clean old version

  17 Oct 2005; Hanno Boeck <hanno@gentoo.org> vice-1.17.ebuild:
  Added all USE-flags to IUSE and added missing ffmpeg-dep.

*vice-1.17 (11 Oct 2005)

  11 Oct 2005; Michael Sterrett <mr_bones_@gentoo.org> +vice-1.17.ebuild:
  version bump

  15 Aug 2005; Michael Sterrett <mr_bones_@gentoo.org> vice-1.14-r1.ebuild,
  vice-1.16.ebuild:
  disabled gnome support since it doesn't work.  see bug #101901 and discussion.

  04 May 2005; Hanno Boeck <hanno@gentoo.org> +files/vice_gcc4_patch.gz,
  vice-1.16.ebuild:
  GCC 4 fix (from Debian, already applied by upstream devs).

  24 Apr 2005; Michael Hanselmann <hansmi@gentoo.org> vice-1.14-r1.ebuild:
  Stable on ppc.

  14 Feb 2005; Michael Sterrett <mr_bones_@gentoo.org> vice-1.16.ebuild:
  disabled ffmpeg support since ffmpeg isn't slotted and later versions aren't
  compatible with the vice code (bug #81795)

*vice-1.16 (12 Feb 2005)

  12 Feb 2005; Michael Sterrett <mr_bones_@gentoo.org> +vice-1.16.ebuild:
  version bump (bug #67601) - use flag diff from Christian Harms

  22 Jan 2005; Chris Gianelloni <wolf31o2@gentoo.org> vice-1.14-r1.ebuild:
  Changed use_with gnome to use_enable gnome and closing bug #77836.

  02 Aug 2004; David Holm <dholm@gentoo.org> vice-1.14-r1.ebuild:
  Added to ~ppc.

  14 Jun 2004; Michael Sterrett <mr_bones_@gentoo.org> vice-1.14.ebuild:
  removed older ebuild

*vice-1.14-r1 (14 Jun 2004)

  14 Jun 2004; Michael Sterrett <mr_bones_@gentoo.org> vice-1.14-r1.ebuild,
  files/1.14-console-security.patch:
  add patch to fix bug #53903 "monitor memory dump format string vulnerability"
  Patch from upstream.

  14 Apr 2004; Chris Gianelloni <wolf31o2@gentoo.org> vice-1.14.ebuild:
  Adding inherit eutils per discussion amongst games developers.

  12 Apr 2004; Chris Gianelloni <wolf31o2@gentoo.org> vice-1.14.ebuild:
  Removing redundant inherit eutils.

  29 Mar 2004; Michael Sterrett <mr_bones_@gentoo.org> metadata.xml:
  add metadata file

  29 Mar 2004; Michael Sterrett <mr_bones_@gentoo.org>
  files/1.12-po-Makefile.patch, files/1.13-po-Makefile.patch:
  remove unused patches

  29 Mar 2004; Michael Sterrett <mr_bones_@gentoo.org> vice-1.12-r1.ebuild,
  vice-1.13.ebuild:
  remove older ebuilds

*vice-1.14 (07 Feb 2004)

  07 Feb 2004; Mike Frysinger <vapier@gentoo.org> :
  Version bump #40434 by Chris Aniszczyk.

*vice-1.13 (03 Oct 2003)

  03 Nov 2003; Michael Sterrett <mr_bones_@gentoo.org> vice-1.13.ebuild:
  DESTDIR fix for bug 32544; add prepgamesdirs

  03 Oct 2003; Michael Sterrett <mr_bones_@gentoo.org> vice-1.13.ebuild,
  files/1.13-po-Makefile.patch:
  version bump

*vice-1.12-r1 (13 Jul 2003)

  13 Jul 2003; Mike Frysinger <vapier@gentoo.org> :
  Fixed up nls support #24041, added optional arts support and added games.eclass support.

*vice-1.12 (24 Jun 2003)

  24 Jun 2003; Hanno Boeck <hanno@gentoo.org> vice-1.12.ebuild:
  Version bump.

*vice-1.11 (23 Mar 2003)

  23 Mar 2003; Hanno Boeck <hanno@gentoo.org> vice-1.11.ebuild:
  New version.

*vice-1.10 (08 Nov 2002)

  08 Nov 2002; Hanno Boeck <hanno@gentoo.org> vice-1.10.ebuild :
  New version.
  Also fixed dependencies (no need to depend on full gnome).

*vice-1.9 (03 Aug 2002)

  03 Aug 2002; Daniel Ahlberg <aliz@gentoo.org> vice-1.9.ebuild :
  Initial import. Ebuild submitted by Matt Matthews <jvm@linuxgames.com>.
